emacs-nox_26.1+1-3.2_i386.deb


Advertisement

Description

emacs-nox - GNU Emacs editor (without GUI support)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename emacs-nox_26.1+1-3.2_i386.deb
Package name emacs-nox
Package version 26.1+1
Package release 3.2
Package architecture i386
Package type deb
Category editors
Homepage https://www.gnu.org/software/emacs/
License -
Maintainer Rob Browning <rlb@defaultvalue.org>
Download size 2.91 MB
Installed size 23.02 MB

Alternatives

Package Version Architecture Repository
emacs-nox_26.1+1-3.2_amd64.deb 26.1+1 amd64 Debian Main
emacs-nox - - -

Requires

Name Value
emacs-bin-common = 1:26.1+1-3.2
emacs-common = 1:26.1+1-3.2
libacl1 >= 2.2.51-8
libasound2 >= 1.0.16
libc6 >= 2.28
libdbus-1-3 >= 1.9.14
libgnutls30 >= 3.6.6
libgpm2 >= 1.20.7
libjpeg62-turbo >= 1.3.1
liblcms2-2 >= 2.2+git20110628
libselinux1 >= 1.32
libsystemd0 -
libtinfo6 >= 6
libxml2 >= 2.7.4
zlib1g >= 1:1.1.4

Provides

Name Value
editor -
emacs -
emacsen -
info-browser -
mail-reader -
news-reader -

Conflicts

Name Value
emacs-gtk -
emacs-lucid -

Replaces

Name Value
emacs-gtk -
emacs-lucid -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package emacs-nox_26.1+1-3.2_i386.deb
Source Package emacs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install emacs-nox deb package:
    # sudo apt-get install emacs-nox

Files

Path
/usr/bin/emacs-nox
/usr/share/doc/emacs-nox
/usr/share/emacs/26.1/etc/DOC
/usr/share/lintian/overrides/emacs-nox
/usr/share/man/man1/emacs-nox.1.gz

Changelog

2019-02-03 - Andreas Beckmann <anbe@debian.org>
emacs (1:26.1+1-3.2) unstable; urgency=medium
* Non-maintainer upload.
* Add more transitional packages for ancient versioned packages
emacs21{,-nox}, emacs22{,-gtk,-nox}.  (Closes: #916758)
* Drop -dbg packages in favor of autogenerated -dbgsym packages.
2019-01-28 - Andreas Beckmann <anbe@debian.org>
emacs (1:26.1+1-3.1) unstable; urgency=medium
* Non-maintainer upload.
* Really handle the emacs-{gtk,lucid,nox} doc dir transition manually.
This cannot be handled by 'dpkg-maintscript-helper dir_to_symlink' because
of the arch:all to arch:any switch at the same time (bug #813455).
Do not forcibly remove the old docdir in the preinst to avoid bad effects
on other packages. Instead, in the postinst, replace the now empty
directory with the intended symlink.  (Closes: #911616)
* emacs-common: Add Breaks against all (versioned) emacs binary packages
predating the unversioning in 1:25.
* emacs-common: Add Breaks against known incompatible packages:
- edb  (Closes: #875430)
- egg  (Closes: #910925)
* Add Vcs-* URLs.  (Closes: #690771)
* Cherry-pick 34b4da37 to fix a test failure.  (Closes: #918646)
* Clean-up debian/control.
* Use https:// URLs and update FSF address.
* Update Lintian overrides.
2018-12-26 - Rob Browning <rlb@defaultvalue.org>
emacs (1:26.1+1-3) unstable; urgency=medium
* Recommend mailutils instead of depending on it.
(Closes: 917245, 916986)
2018-12-20 - Rob Browning <rlb@defaultvalue.org>
emacs (1:26.1+1-2) unstable; urgency=medium
* Update emacs metapackage to depend on >= 1:26.1.
* Enable support for systemd socket activation.  Thanks to Ansgar
Burchardt for the report. (Closes: 916760)
2018-12-17 - Rob Browning <rlb@defaultvalue.org>
emacs (1:26.1+1-1) experimental; urgency=medium
* Merge upstream version 26.1. (Closes: #907997)
* Update debian/copyright version for 26.1.
* Use more secure mailutils instead of internal movemail.  See the
26.1 NEWS for more information.
* Add debian/copyright entries for 26.1.
* Fix epg-tests with upstream patch for newer GnuPG.  Add
0009-An-epg-test-failure-with-recent-GnuPG-versions-has-b.patch to
fix the problem.
* Mark the vc-bzr-test-faulty-bzr-autoloads as unstable for now.
Add 0010-Mark-vc-bzr-test-fauilt-bzr-autoloads-as-unstable-fo.patch to
disable the test for now.  See the patch header for a description
of the error.
* tramp-test42-remote-load-path: regexp-quote directory.  Add
0011-tramp-test42-remote-load-path-regexp-quote-directory.patch to
fix the problem.  Otherwise the test may fail for some paths like
those seen in an sbuild chroot,
e.g. build/emacs-i87jK3/emacs-26.1+1/...
* ibuffer-filter-inclusion-3: regexp-quote directory.  Add
0012-ibuffer-filter-inclusion-3-regexp-quote-directory.patch to
fix the problem.  Otherwise the test may fail for some paths like
those seen in an sbuild chroot,
e.g. build/emacs-i87jK3/emacs-26.1+1/...
* Mark echo-server-with-dns test as :unstable for now.  It fails
inside a Debian sbuild chroot.
2018-08-26 - Rob Browning <rlb@defaultvalue.org>
emacs (1:25.2+1-11) unstable; urgency=medium
* Add (>= 1:25) restriction to emacs metapackage dependencies.
Without this it was possible to end up with two empty metapackages
installed instead of the expected metapackage and actual package.
Thanks to Shin Yoshida for reporting the problem and Sven Joachim
for noting the solution. (Closes: 906534)
* Don't unexpectedly modify the byte order mark.  Add
0014-Emacs-should-no-longer-unexpectedly-alter-the-byte-o.patch to
fix the problem.  Thanks to Vincent Lefevre for reporting the
problem and Eli Zaretskii for the patch. (Closes: 883434)

See Also

Package Description
emacs-window-layout_1.4-2_all.deb window layout manager for emacs
emacs21-nox_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-nox
emacs21_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-gtk
emacs22-gtk_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-gtk
emacs22-nox_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-nox
emacs22_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-gtk
emacs23-lucid_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-lucid
emacs23-nox_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-nox
emacs23_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-gtk
emacs24-lucid_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-lucid
emacs24-nox_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-nox
emacs24_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-gtk
emacs25-lucid_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-lucid
emacs25-nox_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-nox
emacs25_26.1+1-3.2_all.deb GNU Emacs transitional package to emacs-gtk
Advertisement
Advertisement